### Hierarchy

- AnalyticsService

## Index

### Methods

- createConversation
- createMessage

## Methods

### createConversation

- createConversation(user: GuaribasUser, cb: GBServiceCallback<GuaribasConversation>): void

- - Defined in deploy/analytics.gblib/services/AnalyticsService.ts:40

  #### Parameters

  - ##### user: GuaribasUser

  - ##### cb: GBServiceCallback<GuaribasConversation>

  #### Returns void

### createMessage

- createMessage(conversation: GuaribasConversation, user: GuaribasUser, content: string, cb: GBServiceCallback<GuaribasConversationMessage>): void

- - Defined in deploy/analytics.gblib/services/AnalyticsService.ts:52

  #### Parameters

  - ##### conversation: GuaribasConversation

  - ##### user: GuaribasUser

  - ##### content: string

  - ##### cb: GBServiceCallback<GuaribasConversationMessage>

  #### Returns void

Generated using TypeDoc